Package com.google.gwt.user.client

## Interface EventListener

- All Known Implementing Classes:
    `AbsolutePanel`, `AbstractCellTable`, `AbstractCellTree`, `AbstractHasData`, `AbstractNativeScrollbar`, `AbstractPager`, `Anchor`, `Audio`, `Button`, `ButtonBase`, `CalendarView`, `Canvas`, `CaptionPanel`, `CellBrowser`, `CellBrowser.BrowserCellList`, `CellGridImpl`, `CellGridImpl.Cell`, `CellList`, `CellPanel`, `CellTable`, `CellTree`, `CellWidget`, `CheckBox`, `ComplexPanel`, `Composite`, `CustomButton`, `CustomScrollPanel`, `DataGrid`, `DataGrid.TableWidget`, `DateBox`, `DateLabel`, `DatePicker`, `DatePickerComponent`, `DeckLayoutPanel`, `DeckPanel`, `DecoratedPopupPanel`, `DecoratedStackPanel`, `DecoratedTabBar`, `DecoratedTabPanel`, `DecoratorPanel`, `DefaultCalendarView`, `DefaultCalendarView.CellGrid`, `DefaultCalendarView.CellGrid.DateCell`, `DefaultMonthSelector`, `DialogBox`, `DialogBox.CaptionImpl`, `DisclosurePanel`, `DockLayoutPanel`, `DockPanel`, `DoubleBox`, `FileUpload`, `FlexTable`, `FlowPanel`, `FocusPanel`, `FocusWidget`, `FormPanel`, `Frame`, `Grid`, `HeaderPanel`, `Hidden`, `HorizontalPanel`, `HorizontalSplitPanel`, `HTML`, `HTMLPanel`, `HTMLTable`, `Hyperlink`, `Image`, `InlineHTML`, `InlineHyperlink`, `InlineLabel`, `IntegerBox`, `Label`, `LabelBase`, `LayoutPanel`, `LazyPanel`, `ListBox`, `LoggingPopup`, `LongBox`, `MediaBase`, `MenuBar`, `MonthSelector`, `NamedFrame`, `NativeHorizontalScrollbar`, `NativeVerticalScrollbar`, `NotificationMole`, `NumberLabel`, `PageSizePager`, `Panel`, `PasswordTextBox`, `PopupPanel`, `PushButton`, `RadioButton`, `RenderablePanel`, `ResetButton`, `ResizeComposite`, `ResizeLayoutPanel`, `ResizeLayoutPanel.ImplStandard`, `RichTextArea`, `RootLayoutPanel`, `RootPanel`, `ScrollPanel`, `SimpleCheckBox`, `SimpleLayoutPanel`, `SimplePager`, `SimplePanel`, `SimpleRadioButton`, `SplitLayoutPanel`, `SplitLayoutPanel.HSplitter`, `SplitLayoutPanel.Splitter`, `SplitLayoutPanel.VSplitter`, `SplitPanel`, `StackLayoutPanel`, `StackPanel`, `SubmitButton`, `SuggestBox`, `TabBar`, `TabLayoutPanel`, `TabPanel`, `TextArea`, `TextBox`, `TextBoxBase`, `ToggleButton`, `Tree`, `ValueBox`, `ValueBoxBase`, `ValueBoxEditorDecorator`, `ValueLabel`, `ValueListBox`, `ValuePicker`, `VerticalPanel`, `VerticalSplitPanel`, `Video`, `Widget`

      public interface EventListener

  Receives low-level browser events. The implementer registers for DOM events using `com.google.gwt.user.client.DOM#setEventListener(Element, EventListener)`.

  Only subclasses of `Widget` should attempt to listen to browser events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onBrowserEvent​(Event event)` | Fired whenever a browser event is received.

- - ### Method Detail

    - #### onBrowserEvent

          void onBrowserEvent​(Event event)

      Fired whenever a browser event is received.
      Parameters:
        `event` - the event received